# Πρόγραμμα Εύρεσης Δίσεκτων Ετών

# Ορισμός Συνάρτησης disekto
# Παράμετρος Εισόδου η μεταβλητή etos
def disekto(etos):
    # Ελέγχος εάν το etos είναι δίσεκτο.
    # Είναι δίσεκτο εάν
    # α) διαιρείται με το 4 και ταυτόχρονα δεν διαιρείται με το 100,
    # ή
    # β) διαιρείται με το 400
    if ((etos % 4 == 0) and (etos % 100 != 0)) or (etos % 400 == 0):
        return True
    else:
        return False
# Ο ορισμός της συνάρτησης ολοκληρώνετε με την επιστροφή της τιμής
# True εάν το έτος είναι δίσεκτο ή False εάν δεν είναι δίσεκτο

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Εύρεσης Δίσεκτων Ετών")
print()

# Εισαγωγή από τον χρήστη του έτους έναρξης ελέγχου
etos_enarxis=int(input("Εισάγετε το έτος από το οποίο θέλετε \
να ξεκινάει ο έλεγχος δίσεκτου έτους: "))
# Εισαγωγή από τον χρήστη του έτους λήξης ελέγχου
etos_liksis=int(input("Εισάγετε το έτος στο οποίο θέλετε \
να τερματίζεται ο έλεγχος δίσεκτου έτους: "))

# Εμφάνιση αποτελεσμάτων
print()
print("Τα δίσεκτα έτη ανάμεσα στο", etos_enarxis, "και το",\
      etos_liksis, "είναι τα:")
for trexon_etos in range(etos_enarxis, etos_liksis+1):
    if disekto(trexon_etos):
        print(trexon_etos,end=" ")

# Εμφάνιση Μηνύματος Τέλους
print()
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα \
Εύρεσης Δίσεκτων Ετών") 

